<script lang="ts" setup>
import { cn } from "@mykopkb/core/utils/cn";
import { textarea } from "@mykopkb/core/styles/textarea.styles";

const modelValue = defineModel<string>();

const { class: className } = defineProps<{
  class?: string;
}>();
</script>

<template>
  <textarea v-model="modelValue" :class="cn(textarea, className)" v-bind="$attrs" />
</template>
